﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Collections;

namespace ConsoleApplication1
{



	public class EmployeeRecord 
	{
		[FixedLength(5)]
		public string FirstName = "Mau";
		[FixedLength(5)]
		public string LastName = "Rojas";

	}

	public class Record1
	{
		public int field1;
		[FixedLength(10)]
		public string field2 = "";
		public EmployeeRecord rec = new EmployeeRecord();
	}

	public class GeneralInfo
	{
		public int field1;
		[ArrayLength(5)]
		[FixedLength(2)]
		public String[] countrycodes = { "cr","es","mx","pa","ni"};
		[FixedLength(2)]
		public EmployeeRecord[] employees;
	}
	
	class Program
	{

		static void Main(string[] args)
		{
			var record1 = new Record1 { field1 = 10, field2 = "hola" };
			var recordAsStringValue = record1.AsString();
			var generalInfoRecord = new GeneralInfo
			{
				field1 = 1,
				employees = 
				new []{ 
					new EmployeeRecord { FirstName="Ann",LastName="Smith"},
					new EmployeeRecord {FirstName="Peter",LastName="Parker"}  
				}
			};
			recordAsStringValue = generalInfoRecord.AsString();
			var rec2 = new Record1 { field1 = 10, field2 = "hola", rec = { FirstName = "Bart", LastName = "Simpson" } };
			rec2.SetFromString(recordAsStringValue);

		}
	}
}
